Skip to main content
PUT
Error

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

id
string
required

Unique program identifier.

Pattern: ^lprg_[a-f0-9]+$

Body

application/json

Payload for updating a loyalty program. All properties are optional. When the program is not in DRAFT status, only name and metadata may be changed.

name
string

Program name.

Required string length: 1 - 200
start_date
string<date-time> | null

Program validity start date, in ISO 8601 date-time format.

end_date
string<date-time> | null

Program validity end date, in ISO 8601 date-time format.

validity_hours
object | null

Validity hours configuration.

metadata
object | null

Arbitrary key-value metadata. Validated against the vl_program metadata schema definition of the project.

Response

The updated program.

A loyalty program.

id
string

Unique program identifier.

Pattern: ^lprg_[a-f0-9]+$
name
string

Program name.

status
enum<string>

Program status.

Available options:
DRAFT,
ACTIVE,
INACTIVE,
DELETED
start_date
string<date-time> | null

Program validity start date (ISO 8601), or null when not set.

end_date
string<date-time> | null

Program validity end date (ISO 8601), or null when not set.

validity_hours
object

Validity hours configuration. Defaults to type ANY_TIME.

metadata
object

Arbitrary key-value metadata. Defaults to {}.

created_at
string<date-time>

Creation timestamp (ISO 8601).

updated_at
string<date-time> | null

Last update timestamp (ISO 8601), or null when never updated.

object
string

Object type marker.

Allowed value: "program"
Last modified on July 28, 2026